import ddf.minim.*;
Minim minim;
AudioSample[] son;

// Sample sur texte
// Ce script permet de charge des sample en aiff ou mp3 
// et un texte sous forme brute (txt)
// d'analyse le texte 
// en connaitre le nombre de mots, de phrases, 
// savoir combien de fois chaque mot est utilisé
// et passer en revue le texte mot par mot 
// ou phrase par phrase
// et de déclencher des sons en fonction d'un test.
liste_fichiers liste;
texte montexte;
int trigger;

// Les variable à modifier !!!!!!
String dossier_source="sons"; // nom du dossier où se trouvent les sons
String s="madame_bovary.txt"; // nom du texte
int vitesse = 200; // la vitesse entre deux beat en millieme de secondes

void setup() {
  size(600, 600);
  // charger les fichiers mp3 ou aif dans "liste"
  liste = new liste_fichiers(dossier_source, "aif|mp3");
  minim = new Minim(this);


  charge_sons(liste.fichiers);
  montexte=new texte(s);


  // quelques infos sur le texte analysé
  println("Dans le texte "+s);
  println("nombre de mots: "+montexte.nombre_mots);
  println("nombre de phrases: "+montexte.nombre_phrases);
  println("nombre de mots dans l'inventaire : "+montexte.inventaire.size());
  println("Mot le plus employé : -"+montexte.tri_mot[0]+"- "+montexte.tri_occurence[0]+ " fois");
  trigger = millis();
}

void draw() {
  if (millis() > trigger) {
    background(0);
    fill(255);

    //montexte.mot_suivant();
    montexte.phrase_suivante();
    String p=montexte.phrase;

    if (combien(p, "madame|femme|corps|robe|vetement|manches") > 0) {
      son[0].trigger();
      fill(0, 255, 100);
      rect(0, 0, width*0.2, height);
    }

    if (combien(p, "campagne|terre|champ|vache|porc|rivière|boue") > 0) {
      fill(255, 0, 0);
      rect(width*0.2, 0, width*0.2, height);
      son[1].trigger();
    }

    if (combien(p, "maison|route|voiture|ville|chapeau|papier|soulier") > 0) {
      son[2].trigger();
      fill(0, 255, 0);
      rect(width*0.4, 0, width*0.2, height);
    }

    if (combien(p, "bovary") > 0) {
      son[3].trigger();
      fill(0, 0, 255);
      rect(width*0.6, 0, width*0.2, height);
    }

    if (combien(p, "regret|courage|peur|joie|gaieté|énergie|tristesse|colère") > 0) {
      son[4].trigger();
      fill(100, 0, 255);
      rect(width*0.8, 0, width*0.2, height);
    }

    fill(255);
    montexte.affiche_stats();
    delay(100);
    trigger = millis() + vitesse;
  }
}

void stop()
{
  minim.stop();

  super.stop();
} 